#pragma once

#include "Renderable.h"

#include <vector>
#include <memory>

class Body;

/**
 * @brief Represents a 3D scene.
 */
class Scene
{
public:
    /**
     * @brief A scene here simply consists of a list of physical bodies.
     */
    std::vector<std::shared_ptr<Body>> bodies;
};